## org.apache.poi
Class POIXMLProperties

    java.lang.Object
      org.apache.poi.POIXMLProperties

    public class POIXMLProperties

extends java.lang.Object

Wrapper around the two different kinds of OOXML properties a document can have

Nested Class Summary
`class` `POIXMLProperties.CoreProperties` The core document properties
`class` `POIXMLProperties.CustomProperties` Custom document properties
`class` `POIXMLProperties.ExtendedProperties` Extended document properties

Constructor Summary
`POIXMLProperties(OPCPackage docPackage)`

Method Summary
`void` `commit()` Commit changes to the underlying OPC package
`POIXMLProperties.CoreProperties` `getCoreProperties()` Returns the core document properties
`POIXMLProperties.CustomProperties` `getCustomProperties()` Returns the custom document properties
`POIXMLProperties.ExtendedProperties` `getExtendedProperties()` Returns the extended document properties

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POIXMLProperties

    public POIXMLProperties(OPCPackage docPackage)
                     throws java.io.IOException,
                            OpenXML4JException,
                            org.apache.xmlbeans.XmlException

Throws:
  `java.io.IOException`
  `OpenXML4JException`
  `org.apache.xmlbeans.XmlException`

Method Detail

### getCoreProperties

    public POIXMLProperties.CoreProperties getCoreProperties()

  Returns the core document properties

### getExtendedProperties

    public POIXMLProperties.ExtendedProperties getExtendedProperties()

  Returns the extended document properties

### getCustomProperties

    public POIXMLProperties.CustomProperties getCustomProperties()

  Returns the custom document properties

### commit

    public void commit()
                throws java.io.IOException

  Commit changes to the underlying OPC package

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.